Subject: REVIEW: Apple CD-300e Plus CD-ROM drive
From: [email-masked] (Bernd Felsche)
Date: 16 Jan 1995 06:07:29 GMT
Newsgroups: comp.sys.amiga.reviews

PRODUCT NAME

	Apple CD-300e Plus

	NOTE:  This review is an "update" to a previously posted review of
the Apple CD-300 drive by Heiko Rath:

	>From: [email-masked] (Heiko Rath)
	>Subject: REVIEW: Apple CD-300 CD-ROM drive
	>Date: 1 Jun 1993 18:31:16 GMT
	>Message-ID: <[email-masked]>

	I have included and quoted Heiko's comments where applicable and
used his review as a template, allowing readers to do a side-by-side
comparison between the two drives.

	[MODERATOR'S NOTE:  Heiko's review is available in the
	c.s.a.reviews archives.  - Dan]

BRIEF DESCRIPTION

>	The Apple CD-300 is a dual speed SCSI CD-ROM drive that
>	supports playing of audio CDs, reading of CD-ROMs, is
>	multi-session compatible, and conforms to several other
>	standards.  As a bonus, it can read digital data from audio CDs.

AUTHOR/COMPANY INFORMATION

>	Name:		Apple Computer GmbH

	Address:	Apple has different contact
			addresses in other countries.
			Check your phone book for dealers!

LIST PRICE

>	I don't know the list price.  I paid DM 800,- (about $500 (US))
>at my local Apple dealer here in Germany.

	I paid AUS$685.00, about US$500. 

SPECIAL HARDWARE AND SOFTWARE REQUIREMENTS

	HARDWARE

		An Amiga with a SCSI host adapter, preferably SCSI-2.

	SOFTWARE

		CD-ROM Filesystem software:
			"Free" - AmiCDROM versions 1.15 or later recommended
			Commercial - AsimCDFS version 2.2 or later

		Direct Audio: (one or more of)
			SCSIUtil 2.2 allows reading audio data and saving to
				disk.
			PlayCDDA 1.1 required modifications to recognize
				the drive and handle the data properly.
			CDDA 1.12 using "plan a"

>		For playing audio CDs, you will need a little utility.  I
>		have written such a thing called SCSIUtil that will allow
>		you to play selected tracks.  A much more comfortable
>		solution is Jukebox, a program with a GUI and ARexx support,
>		available from Franz-Josef Reichert ([email-masked]).

			Jukebox 2.83 didn't know how to handle the drive.
			YACDP 1.1 also failed.
		
		PhotoCD:
			Not evaluated, but you will need something to convert
			from the PhotoCD format. (See Heiko's review.)

COPY PROTECTION

	None. Or is this just a very expensive "dongle"? :-)

MACHINE USED FOR TESTING

	Most evaluation has been on the author's machine:

	Amiga 4000/040
	8M Fast RAM
	Oktagon 2008 SCSI-2 adapter
	MultifaceCard III serial/parallel adapter
	Seagate ST3144AT IDE drive
	Emulex MD21/S2 ESDI (rev A00) adapter to 300M Micropolis drive

	A brief test was performed on:

	Amiga 2000 with A2620 accelerator
	8M Fast RAM
	Workbench 2
	A2090A with 40M ST506 drive
	A2091 with 80M Quantum SCSI drive
	CDTV via Parnet

COMPONENTS SUPPLIED IN PACKAGE

	Apple CD 300e Plus
	Power cord
	SCSI terminator
	DB-25 to 50-pin "Centronics" SCSI cable
	Warranty Statement
	License Agreement
	1 Macintosh floppy
	1 User Manual
	1 Macintosh Starter CD

REVIEW

	Following my subscription to various Fish archives on CD-ROM, as
well as numerous purchases of interesting other CD-ROMs, I felt the
not-unreasonable need to be able to read them!
	
	Of course, I had to get a SCSI adapter first, as the A4000 lacks
this, so the procurement programme was somewhat prolonged by selection of
that as well.

	Initial investigation showed that there were few candidates of
CD-ROM which would deliver the features wanted, at a price within my
budget.  My feature list was much the same as Heiko's, and the short list
came down to:

		Apple CD-300
		Sony CDU8003(?)
		Toshiba XM3401B

	I only became aware of Apple drives capabilities by word of mouth;
maybe I should have paid more attention to c.s.a.reviews!

	The price of the drive and local support eventually swayed me in the
direction of the just-released Apple CD-300e Plus.

>	Finally the drive arrived at the beginning of March 1993.  The box
>contained the drive, some Macintosh specific software, and a short user's
>manual.  The color of the Apple CD-300 is the same as that of my Amiga 3000,
>only a little bit lighter.  On the front panel it has an eject button, a
>status LED, volume control, and a headphone jack.  Next to the eject button
>is a little hole which is used to eject a disc in an emergency.  The eject
>mechanism is motor-controlled, and a trap door very ingeniously protects the
>drive against dust.  On the rear, the drive has two RCA audio output jacks
>(to connect to an external amplifier or amplified speakers), the on/off
>switch, the power connector, two SCSI 50-pin connectors, and a selector for
>the SCSI ID.

	The most significant and noticeable difference between the CD-300e
Plus and its predecessor is that the newer 300e does not require a caddy;
instead, a motorised drawer is used, much like in most audio CD players.

	"Bootstrapping" was achieved by reading an AmiCDROM 1.9 archive from
one of my CDROMs on the SPARC machine at work, and then transferring that
via modem to my Amiga. Installation of the software was straightforward,
following the instructions included in the archive.

>	The drive is able to support multi-session Photo CDs with a
>Macintosh.  To do the same with my Amiga, I needed some software.  After
>looking around and getting a hint to search in alt.sources, I found Hadmut
>Danisch's ([email-masked]) hpcdtoppm utility, originally written on a
>UNIX machine.  This was easily compiled on my Amiga and enables me to
>convert Photo CD images to PPM, from where I can convert to any other
>required format.

	This was not tested on the CD-300e Plus, but should work without any
headaches.

>	Because I'm very curious, I wanted to know how to read digital data
>off an audio CD.  Several questions later, I had the info about a vendor
>specific SCSI command and incorporated it into my little SCSIUtil.  Now I'm
>able to read all these soundbits and pieces and use them on my Amiga.

	This works as before, though some software, except perhaps the more
recent stuff, does not recognize the drive type and gives up without even
trying.

>	BTW, the Apple CD-300 replies to a SCSI INQUIRY command with "SONY
>CD-ROM CDU-8003".  I heard that this basically a Sony CDU-561 drive with a
>patched ROM.

	SCSI inquiry (*) yields the following from the CD-300e Plus:
	
		Peripherial qualifier: 0
		Peripherial device type: $5, CD-ROM device
		Removable medium: yes
		Device type modifier: 0
		ISO Version: 0
		ECMA Version: 0
		ANSI-Approved Version: 2, The device complies to (SCSI-2).
		AENC: no
		TrmIOP: doesn't support TERMINATE I/O PROCESs message
		Response data format: $2, conforms to SCSI-2
		Additional length: $1f
		INQUIRY[5-6] (Reserved): $0, $0
		RelAdr: doesn't support relative addressing
		WBus32: doesn't support 32 wide data transfers
		WBus16: doesn't support 16 wide data transfers
		Sync: does support synchronous transfers
		Linked: does support linked commands
		CmdQue: doesn't support tagged command queueing
		SftRe: responds to RESET condition with hard RESET alternative
		Vendor identification: MATSHITA
		Product identification: CD-ROM CR-8004  
		Product revision level: 1.1f
		Vendor specific: 
		Reserved: 
	(*) using SCSIUtil.

	Apple CD 300 Technical Specifications:

	Playback medium: 120mm and 80mm optical disc
	Capacity:
		Mode 1: 656 MB
		Mode 2: 748 MB
	Data surfaces: 1
	Data per block:
		Mode 1: 2048 bytes
		Mode 2: 2336 bytes
	Blocks per disc: 336,150
	Audio playback:
		Playing time: 74 minutes and 42 seconds
		Frequency response: not specified (20 to 20,000 Hz)
	Characteristics:
		Rotational speed (approx):
		-- Normal speed (1X): 230 to 530 rpm
		-- Double speed (2X): 460 to 1060 rpm
		Latency (average): varies over radius
		-- Normal speed (1X): 55 to 130 ms
		-- Double speed (2X): 27.5 to 65 ms
		Average access time (typical):
		-- Normal speed (1X): 410 ms
		-- Double speed (2X): <290 ms
		Data streaming rate, normal speed (1X):
		-- Mode 1: 150 KB/sec
		-- Mode 2: 171 KB/sec
		Data streaming rate, double speed (2X):
		-- Mode 1: 300 KB/sec
		-- Mode 2: 342 KB/sec

		* "(2X)" is the symbol for increased performance -- double
		 the spin speed

		Block rate:
		-- Normal speed (1X): 75 blocks/sec
		-- Double speed (2X): 150 blocks/sec
		SCSI bus transfer burst rate (typical)
		-- Asynch: 2.5 MB/sec
		-- Synch:  2.1 MB/sec
				
	Formats supported:
		Audio CD
		CD-ROM		Modes 1 and 2
		CD-ROM XA	Mode 2, Forms 1 and 2
		CD+I		Mode 2, Forms 1 and 2
		Photo CD	Single and multisession
		CD+MIDI
		CD+G
		CDDA		(CD digital audio data via SCSI bus Interface)
		One headphone jack with volume control (front panel)
		Two SCSI 50-pin connectors (rear panel)
		Two RCA audio output jacks

	Laser:
		Type		GaAlAs
		Wavelength	790+-25nm
		Output Power	0.14 mW
		Beam divergence	53.5+-1.5 degrees

	Electrical requirements:
		Power requirements: 100 to 240 V AC, 50/60 Hz, 0.28-0.17 Amp

	Operating environment:
		Temperature: 41F to 104F (5C to 40C)
		Relative humidity: 5% to 90% noncondensing
	Non-operating environment:
		Storage temperature ( 6 mo.): -22F to 122F (-30C to 50C)
		Transient temperature (72 hrs.): -40F to 149F (-40C to 65C)
		Relative humidity: 5% to 95% noncondensing

DOCUMENTATION

>	The Apple CD-300 comes with a users manual that explains how to
>connect it to an Apple Macintosh, install the required software, handle CDs,
>and work with the Macintosh software.  It also contains a short technical
>specifications page about the drive.

LIKES AND DISLIKES

>	I like the Apple CD-300 as it is fast, reliable, relatively cheap
>compared to other drives, complies very closely to ANSI SCSI 2, supports
>multi-session CDs, and is able to read digital data off audio CDs.

	The 300e complies with SCSI-2 (AFAIK).

	I like the caddy-less design as it allows for faster disk changes,
without the need to buy extra caddies, which are usually fragile.

	I like the fact that I now have 600 ex-Fish floppies.

	I dislike the fact that it keeps me awake until dawn while browsing
new CD-ROMs. :-)

	I dislike the fact that I now have 600 ex-Fish floppies. :-)

COMPARISON TO OTHER SIMILAR PRODUCTS

>	The Apple CD-300 is comparable to the Toshiba 3401 speed and
>featurewise, but the Apple is cheaper (at least here in Germany).

	The same appears to hold true for the CD-300e Plus.

BUGS

	None detected.

VENDOR SUPPORT

	As I already had an external SCSI disk connected to my Oktagon card,
I ordered my 300e with 50-50 pins SCSI cable but received the 25-50 pin
(standard Mac) cable instead.  A call to the dealer rectified the problem
quickly.  I decided to hang onto the 25-50 cable because of the ability to
move the drive between Amigas without having to disconnect my external SCSI
hard disk.

WARRANTY

	1 year limited warranty.

CONCLUSIONS

	Competent hardware, at a good price.

COPYRIGHT NOTICE

	Extracts:
>	Copyright 1993 Heiko Rath, All rights reserved.

	The remainder is
	Copyright 1994 Bernd Felsche, All Rights Reserved.

	Distribute freely.
	Extracts are to include appropriate attributions.

-- 
Bernd Felsche, MetaPro Systems Pty Ltd
[New Address! After 94/12/18]
130 Fauntleroy Avenue, Redcliffe, Western Australia 6104
Phone: +61 9 479 3722    Fax: +61 9 479 3720

---

   Daniel Barrett, Moderator, comp.sys.amiga.reviews
   Send reviews to:	[email-masked]
   Request information:	[email-masked]
   Moderator mail:	[email-masked]
   Anonymous ftp site:  math.uh.edu, in /pub/Amiga/comp.sys.amiga.reviews